#
# DLL makefile 
#
# This is part of the DialGuard package, 
# Copyright (C) 2000
# Released under the GNU General Public License
#
PROJ = dialhook
OBJS = $(PROJ).OBJ $(PROJ).RES

.c.obj:
    CL $(CFLAGS) /c $<

CFLAGS = $(CFLAGS) /W3 /O1 /DWIN32_LEAN_AND_MEAN
LFLAGS =/DLL /MERGE:.idata=.data /MERGE:.rdata=.text \
        /EXPORT:StaticLoad /BASE:0x20000000
LIBS =  /OUT:$(PROJ).DLL kernel32.lib user32.lib advapi32.lib
CFLAGS = $(CFLAGS) /DNDEBUG

$(PROJ).DLL: $(OBJS)
    echo >NUL @<<$(PROJ).CRF
$(LFLAGS) $(OBJS) $(LIBS)
<<
    link @$(PROJ).CRF
